Gets the top 20 News stories for the current user
curl --request GET \
--url https://api.creditriskmonitor.com/v1/News \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/News"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/News', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": [
{
"id": 123,
"title": "<string>",
"link": "<string>",
"description": "<string>",
"pubDate": "<string>"
}
],
"ErrorCode": "<string>"
}General
Get Recent News
Retrieves top 20 current news stories with optional subset filtering.
GET
/
v1
/
News
Gets the top 20 News stories for the current user
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
Subset of stories to return (snp, moodys, fitch, dbrs, morningstar)
First Row to return
Last Row to return
Was this page helpful?
⌘I